<template>
  <v-container>
    <div
      v-for="(message, index) in messages"
      :key="index"
      class="message"
      :class="{ own: message.senderId === user.id }"
    >
      <div
        v-if="index > 0 && messages[index - 1].user !== message.user"
        class="caption"
      >
        {{ message.firstName }} {{ message.lastName }}
      </div>
      <div v-if="index === 0" class="caption">
        {{ message.firstName }} {{ message.lastName }}
      </div>
      <div class="content">
        <div class="body-1" v-html="message.body" />
        <chat-image
          v-if="message.image"
          :imgsrc="message.image"
          @imageLoad="imageLoad"
        />
      </div>
    </div>
  </v-container>
</template>

<script>
import { mapState } from 'vuex'

export default {
  props: {
    messages: {
      type: Array,
      required: false
    },
    newMessage: {
      type: Function,
      required: false
    }
  },
  data() {
    return {}
  },
  computed: {
    ...mapState('authentication', ['user'])
  },
  watch: {
    messages() {
      this.$nextTick(function() {
        this.$emit('newMessage')
      })
    }
  },
  mounted() {},
  methods: {
    imageLoad() {
      // this.$emit('imageLoad')
    }
  }
}
</script>

<style>
span.emoji {
  font-size: 20px;
  vertical-align: middle;
  line-height: 2;
}
</style>
